// (C) Copyright 2015 Moodle Pty Ltd.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import { APP_INITIALIZER, NgModule } from '@angular/core';

import { AddonUserProfileFieldTextHandler } from './services/handlers/text';
import { CoreUserProfileFieldDelegate } from '@features/user/services/user-profile-field-delegate';
import { AddonUserProfileFieldTextComponent } from './component/text';
import { CoreSharedModule } from '@/core/shared.module';

@NgModule({
    declarations: [
        AddonUserProfileFieldTextComponent,
    ],
    imports: [
        CoreSharedModule,
    ],
    providers: [
        {
            provide: APP_INITIALIZER,
            multi: true,
            deps: [],
            useFactory: () => () =>
                CoreUserProfileFieldDelegate.registerHandler(AddonUserProfileFieldTextHandler.instance),
        },
    ],
    exports: [
        AddonUserProfileFieldTextComponent,
    ],
    entryComponents: [
        AddonUserProfileFieldTextComponent,
    ],
})
export class AddonUserProfileFieldTextModule {}
